Subject: bug#1405: detached GTK+ tool bar

From: Stephen Berman <[email-masked]>
Date: Sat, 17 Jan 2009 21:24:50 +0100

On Thu, 18 Dec 2008 21:46:27 +0100 Stephen Berman <[email-masked]> wrote:

> On Thu, 18 Dec 2008 19:50:22 +0100 Jan Djärv <[email-masked]> wrote:
>
>> Stephen Berman skrev:
>>> On Sun, 23 Nov 2008 12:01:09 +0100 Jan Djärv <[email-masked]> wrote:
>>>>
>>>> I'd rather see if the focus can be kept to the frame.  We can perhaps put some
>>>> hints to the window manager.  I'll look in to it.  Can the OP please tell us
>>>> what window manager he is using and what kind of focus model he has (click to
>>>> focus, focus follows mouse)?
>>> 
>>> I'm using KDE/kwin and click to focus.  But I also see the same behavior
>>> (i.e. focus not returning to the window/frame the tool bar was detached
>>> from) with a focus follows mouse policy.
>>> 
>>
>> I've made a change, can you test it?
>>
>> Thanks,
>>
>> 	Jan D.
>
> I just did, and confirm that focus now switches back to the frame after
> clicking a button on the detached tool bar.  Thanks!  

I just learned about the variable x-gtk-whole-detached-tool-bar; when
this is non-nil and the tool bar is detached, focus fails to switch back
to the frame after clicking a button on the detached tool bar.  So your
fix does not work with x-gtk-whole-detached-tool-bar non-nil.

In GNU Emacs 23.0.60.29 (i686-pc-linux-gnu, GTK+ Version 2.14.4) of
2009-01-11 on escher 

Steve Berman